Subject: Re: [Tigers] Seats

From: Dave Munroe <[email-masked]>
Date: Sun, 24 Mar 2013 14:51:06 -0300

Thanks Ron:

I do have Joe Parlenti's excellent piece on recovering seats here on my bench.

Its clear that my seats are Sunbeam, as they match all the others that
I have seen at shows and other gatherings, including the hardware that
 adjusts the seat back angle etc.

The problem is the foam I got from SS, while identical in appearance
to that which came out of my seats, is approx 11/2" larger all around
the perimeter. The new SS covers are made to fit the SS foam, so are
too large for my seat frame.

So I m hoping someone can tell me what seat frame I have in the hopes
that there are some ready made covers for them. Perhaps they are from
an earlier model Alpine?

(The covers I removed because of wear were custom made and looked
exactly like original Tiger seat covers, but much better constructed
with heavier vinyl and improved stitching methods. it killed me to
have to remove them.)

Thanks for your help Ron.

Dave

Sent from my iPad

On 2013-03-24, at 12:59 PM, Ron Fraser <[email-masked]> wrote:

> Dave
>    I don't see any information in the Parts List about seat frames for
> the Tiger.
>
> Maybe the 1st question should be - do you have the correct seat frames?  Are
> they Sunbeam seats or something else?
>
> There should be a tech article on Tigers United about restoring seats that
> may help you.
>
> Ron Fraser
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> On Behalf Of Dave Munroe
> Sent: Sunday, March 24, 2013 10:24 AM
> To: undisclosed-recipients:
> Cc: [email-masked]
> Subject: Re: [Tigers] Seats
>
>
> Good morning Tiger gurus:
>
> Do any of you know how many seat-back frame versions that were installed in
> the Tiger over the tears?
>
> My car came with a custom-made interior based on the seat-back covers with
> the "flap" center section. I ordered and received from SS a new set of foams
> for the "center flap" style of seat back, but, while these foams are things
> of beauty they are considerably too large for the seat-back frames that came
> in my car...
>
> Did Rootes change the size of these frames at some point?
>
> Thanks for your help...
>
> Dave
> _______________________________________________
>
> [email-masked]
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe:
> http://autox.team.net/mailman/options/tigers/[email-masked]
>
>
>
>
> -----
> No virus found in this message.
> Checked by AVG - www.avg.com
> Version: 2013.0.2904 / Virus Database: 2641/6195 - Release Date: 03/21/13
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]

---

From: "jimmc13" <[email-masked]>
Date: Wed, 27 Mar 2013 18:52:23 -0500

Dave, (et al);
Well you got me going as I have 2 brand new UK67 seat back foam cushions
from SS.  So I got home from work and pulled one out and grabbed one of my
powder coated seat backs. And the foam will be a perfect fit.  I pressed it
into the curve of the frame and it appears like it will mold perfectly with
the sections of cardboard I have.  Also, I saved my old seats parts to help
with re-covering.
I have experience with Series III-V Alpines and Mark 1 and 1a Tigers having
had a 1965 and now a 1966, Rootes was efficient in the use of parts and the
seats did not change much over the manufacture of these cars.  The seats had
differences in the amount of pleats and whether or not they were vertical or
horizontal.  The frames esp the backs are very simple when bare.  All this
being said, I would tell you that I have been looking for help to finish the
seats and have talked to at least 6 interior folks.  I have found that foam
can be cut and sanded to shape by someone that can re-upholster the seats.
While I am still looking for someone, I am temped to do this myself because
of what I see.  Still do not know how to cut and sand though.  Could send
pix of the frame backs if you wish.
Jim McLaughlin
B382000175

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
On Behalf Of Dave Munroe
Sent: Sunday, March 24, 2013 12:51 PM
To: <[email-masked]>
Cc: [email-masked]
Subject: Re: [Tigers] Seats

Thanks Ron:

I do have Joe Parlenti's excellent piece on recovering seats here on my
bench.

Dave

Sent from my iPad

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]
_______________________________________________

[email-masked]